Namespace: webdriver.testing
View Source

# class NegatedAssertion

    webdriver.testing.Assertion
      └ webdriver.testing.NegatedAssertion

An assertion that negates any applied matchers.

## new NegatedAssertion(value)

Parameters

value`*`

  The value to perform assertions on.

## Instance Methods

### apply(matcher, opt_message)code »

Overrides: webdriver.testing.Assertion

Parameters

matcher`goog.labs.testing.Matcher`
opt_message`string=`

Returns

`webdriver.promise.Promise`

## Instance Properties

value`*`
  No description.